FOX(1)

NAME
fox - ab-initio structure determination from diffraction data

SYNOPSIS
fox [options] [file.xml]

DESCRIPTION
The fox (Free Objects for Crystallography) program was made for the ab initio crystal structure solution from diffraction data. Its most interesting features for ab initio structure determination are:

* versatile description of the crystal contents;

* automatic correction for special positions and shared atoms between polyhedra;

* the ability to use simultaneously multiple powder patterns;

* smart global optimization algorithms;

* a graphical interface with a 3D crystal structure view and live updates during the optimization process.

OPTIONS
This program my be executed with or without command line options or input file (file.xml). It follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the fox wiki http://objcryst.sourceforge.net/Fox/Manual

--help
    Show summary of options.

--loadfouriergrd map.grd
    Load and display 'map.grd' fourier map with (first) crystal structure

--loadfourierdsn6 map.DN6
    Load and display a DSN6 fourier map with (first) crystal structure

--nogui
    Run without GUI, automatically launches optimization --nogui may be accompanied by the following options:

-n 10000
    Run for 10000 trials at most (default: 1000000)

--nbrun 5
    Do 5 runs, randomizing before each run (default: 1), use -1 to run indefinitely

-o out.xml
    Output in 'out.xml'

--randomize
    Randomize initial configuration

--silent
    Produce (almost) no text output

--finalcost 0.15
    Run optimization until cost < 0.15

--cif2pattern 1.5406 170 5000 .1
    Simulate pattern for input crystal, wavelength=1.5406 up to 170° with 500 points anda peak width of 0.1°

EXAMPLES

Fox silicon.xml
    Load file 'silicon.xml' and launch GUI.

Fox Cimetidine-powder.xml --nogui --randomize -n 1000000 -o best.xml
    Load file 'ktartrate.xml', randomize, then make 1 optimization of 1 million trials, and save the best structure in 'best.xml'.

Fox Cimetidine-powder.xml --nogui --randomize -n 10000000 --nbrun 10 -o best.xml
    Load file 'Cimetidine-powder.xml', then make 10 runs (starting from a random structure) of 10 million trials (each run saves one xml file), and save the best structure in 'best.xml'.

Fox Cimetidine-powder.xml --nogui --silent --randomize -n 10000000 --nbrun 10 --finalcost 200000 -o best.xml
    Load file 'Cimetidine-powder.xml', then make 10 silent runs of 10 million trials (each run saves one xml file), and save the best structure in 'best.xml'. For each run, the optimization stops if the cost goes below 200000.

AUTHOR
fox was written by Vincent Favre-Nicolin <Vincent.Favre-Nicolin@cea.fr>.

This manual page was written by Carlo Segre <segre@debian.org>, for the Debian project (but may be used by others).